# Generated from ns_geo-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ns_geo

Name: rubygem-%{gem_name}
Version: 0.1.3
Release: 1%{?dist}
Summary: NsGeo imports location data and creates activerecord migration and model for accessing data
License: MIT
URL: https://rubygems.org/gems/ns_geo
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sqlite3)
BuildArch: noarch

%description
NsGeo is a rails engine. Add gem 'ns_geo' to your Gemfile. 
Run bundle install. 
Run rails ns_geo:install:migrations 
rake db:migrate 
rake db:migrate 
rake db:migrate RAILS_ENV=test 
rails ns_geo:import_locations.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Tue Sep 14 2021 mockbuilder - 0.1.3-1
- Initial package
